Bug 495359 - Exception after selecting Replace existing filesystem
Exception after selecting Replace existing filesystem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
anaconda_trace_hash:b5641674835edba1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 06:31 EDT by Serge Droz
Modified: 2009-04-16 04:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 04:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (133.83 KB, text/plain)
2009-04-12 06:31 EDT, Serge Droz
no flags Details
Attached traceback automatically from anaconda. (70.58 KB, text/plain)
2009-04-15 01:57 EDT, Max
no flags Details

  None (edit)
Description Serge Droz 2009-04-12 06:31:05 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/__init__.py", line 618, in destroyDevice
    if device.format.exists and device.format.type:
  File "/usr/lib/anaconda/storage/partitioning.py", line 345, in removeEmptyExtendedPartitions
    storage.destroyDevice(extended)
  File "/usr/lib/anaconda/storage/partitioning.py", line 332, in clearPartitions
    removeEmptyExtendedPartitions(storage)
  File "/usr/lib/anaconda/storage/partitioning.py", line 170, in doAutoPartition
    clearPartitions(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: 'NoneType' object has no attribute 'format'
Comment 1 Serge Droz 2009-04-12 06:31:12 EDT
Created attachment 339227 [details]
Attached traceback automatically from anaconda.
Comment 2 Serge Droz 2009-04-12 06:45:35 EDT
This error happened right after the dialog, where on cheeses the which filesystems etc. It also happens when I choose to manually review the filesystem.
I'm using one of these cures dm-raid setups. The installer seems to recognize the device properly, as far as setting up the respective devices /dev/mapper/isa.... are concerned.

Setup:
Intel IHC8 fake raid 1 

The output below is from a Fedor 10 system, runing on a fc9 kernel (due to 
https://bugzilla.redhat.com/show_bug.cgi?id=489148)


[root@mobilot droz]# dmraid -b                                                             
/dev/sdb:    488281250 total, "9ND0BNZ6"                                                                                                                                       
/dev/sda:    488281250 total, "9ND0C8RE"                                                                                                                                       
[root@mobilot droz]# dmraid -r                                                                                                                                                 
/dev/sdb: isw, "isw_dedjjeebaj", GROUP, ok, 488281248 sectors, data@ 0                                                                                                         
/dev/sda: isw, "isw_dedjjeebaj", GROUP, ok, 488281248 sectors, data@ 0                                                                                                         
[root@mobilot droz]# dmraid -s -v -v -v                                                                                                                                        
WARN: locking /var/lock/dmraid/.lock                                                                                                                                           
NOTICE: skipping removable device /dev/sdc                                                                                                                                     
NOTICE: skipping removable device /dev/sdd                                                                                                                                     
NOTICE: skipping removable device /dev/sde                                                                                                                                     
NOTICE: skipping removable device /dev/sdf                                                                                                                                     
NOTICE: skipping removable device /dev/sdg                                                                                                                                     
NOTICE: skipping removable device /dev/sdh                                                                                                                                     
NOTICE: /dev/sdb: asr     discovering                                                                                                                                          
NOTICE: /dev/sdb: ddf1    discovering                                                                                                                                          
NOTICE: /dev/sdb: hpt37x  discovering                                                                                                                                          
NOTICE: /dev/sdb: hpt45x  discovering                                                                                                                                          
NOTICE: /dev/sdb: isw     discovering                                                                                                                                          
NOTICE: /dev/sdb: isw metadata discovered                                                                                                                                      
NOTICE: /dev/sdb: jmicron discovering                                                                                                                                          
NOTICE: /dev/sdb: lsi     discovering                                                                                                                                          
NOTICE: /dev/sdb: nvidia  discovering                                                                                                                                          
NOTICE: /dev/sdb: pdc     discovering                                                                                                                                          
NOTICE: /dev/sdb: sil     discovering                                                                                                                                          
NOTICE: /dev/sdb: via     discovering
NOTICE: /dev/sda: asr     discovering
NOTICE: /dev/sda: ddf1    discovering
NOTICE: /dev/sda: hpt37x  discovering
NOTICE: /dev/sda: hpt45x  discovering
NOTICE: /dev/sda: isw     discovering
NOTICE: /dev/sda: isw metadata discovered
NOTICE: /dev/sda: jmicron discovering
NOTICE: /dev/sda: lsi     discovering
NOTICE: /dev/sda: nvidia  discovering
NOTICE: /dev/sda: pdc     discovering
NOTICE: /dev/sda: sil     discovering
NOTICE: /dev/sda: via     discovering
NOTICE: added /dev/sdb to RAID set "isw_dedjjeebaj"
NOTICE: added /dev/sda to RAID set "isw_dedjjeebaj"
*** Group superset isw_dedjjeebaj
--> Active Subset
name   : isw_dedjjeebaj_Volume0
size   : 488275584
stride : 128
type   : mirror
status : ok
subsets: 0
devs   : 2
spares : 0
WARN: unlocking /var/lock/dmraid/.lock
Comment 3 Max 2009-04-15 01:57:11 EDT
Created attachment 339629 [details]
Attached traceback automatically from anaconda.
Comment 4 Hans de Goede 2009-04-16 04:26:27 EDT
Thanks for the report, this is fixed by this commit:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=93f1cb2a96841e5da50550671ec78bf7b4478005

Which has been in the anaconda in rawhide for a couple of days now, closing. If you want to test this is really fixed, use boot.iso from rawhide todo a network install. (you need to have atleast anaconda-11.5.0.41-1)

Note You need to log in before you can comment on or make changes to this bug.